# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`gnupg`](#gnupg): Manage gnupg and public key entries

#### Private Classes

* `gnupg::install`: Install the package

### Resource types

* [`gnupg_key`](#gnupg_key): Manage PGP public keys with GnuPG

## Classes

### <a name="gnupg"></a>`gnupg`

Manage gnupg and public key entries

#### Examples

##### Basic installation

```puppet
include gnupg
```

#### Parameters

The following parameters are available in the `gnupg` class:

* [`package_ensure`](#package_ensure)
* [`package_name`](#package_name)

##### <a name="package_ensure"></a>`package_ensure`

Data type: `String`

value passed to ensure param of package resource.
if package[gnupg] is already declared in the catalog, the package will not
be managed by this module.

##### <a name="package_name"></a>`package_name`

Data type: `String`

name of the package to ensure
supported operating systems have this value populated from hiera

## Resource types

### <a name="gnupg_key"></a>`gnupg_key`

Manage PGP public keys with GnuPG

#### Properties

The following properties are available in the `gnupg_key` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `gnupg_key` type.

* [`home`](#home)
* [`key_content`](#key_content)
* [`key_id`](#key_id)
* [`key_server`](#key_server)
* [`key_source`](#key_source)
* [`key_type`](#key_type)
* [`name`](#name)
* [`provider`](#provider)
* [`proxy`](#proxy)
* [`user`](#user)

##### <a name="home"></a>`home`

Gnupg home directory. Overrides gpg default, typically .gnupg under the user's home directory

Default value: ``false``

##### <a name="key_content"></a>`key_content`

Content of an ASCII armor PGP key

##### <a name="key_id"></a>`key_id`

8, 16, or 40 character version of the key ID

##### <a name="key_server"></a>`key_server`

PGP key server from where to retrieve the public key

##### <a name="key_source"></a>`key_source`

Location of a file containing the PGP key. Values may be a local file path or Puppet supported URL.

##### <a name="key_type"></a>`key_type`

Valid values: `public`, `private`, `both`

type of key(s) being managed

Default value: `public`

##### <a name="name"></a>`name`

namevar

arbitrary catalog unique resource name

##### <a name="provider"></a>`provider`

The specific backend to use for this `gnupg_key` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

##### <a name="proxy"></a>`proxy`

set the proxy to use for HTTP and HKP keyservers

##### <a name="user"></a>`user`

execute gpg command with this user

